com.sun.jna.platform.unix

## Class X11.WindowByReference

- java.lang.Object
- - com.sun.jna.PointerType
  - - com.sun.jna.ptr.ByReference
    - - com.sun.jna.platform.unix.X11.WindowByReference

- All Implemented Interfaces:
    NativeMapped
  Enclosing interface:
    X11

      public static class X11.WindowByReference
      extends ByReference

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `X11.WindowByReference()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `X11.Window` | `getValue()`

    - ### Methods inherited from class com.sun.jna.PointerType

      `equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### X11.WindowByReference

          public X11.WindowByReference()

  - ### Method Detail

    - #### getValue

          public X11.Window getValue()

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.